util

## Class FileUtils

- java.lang.Object
- - util.FileUtils

-     public class FileUtils
      extends java.lang.Object

  Static file-handling utility methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `abort(java.lang.Exception x)` Lists the stack trace for the given exception and aborts this JVM.
    `static java.io.File` | `canonical(java.io.File f)` Returns the canonical form of the given `File`, aborting in the (unexpected) case of failure.
    `static org.xml.sax.InputSource` | `fileInputSource(java.io.File file)` Returns a SAX input source for the given `File`, aborting in case of failure.
    `static org.xml.sax.InputSource` | `fileInputSource(java.lang.String path)` Returns a SAX input source for the file with the given path, aborting in case of failure.
    `static java.io.InputStream` | `newFileInputStream(java.io.File f)` Returns an input stream for the given `File`, aborting in case of failure.
    `static java.io.InputStream` | `newFileInputStream(java.lang.String path)` Returns an input stream for the file with the given path, aborting in case of failure.
    `static java.io.OutputStream` | `newFileOutputStream(java.io.File f)` Returns an output stream for the given `File`, aborting in case of failure.
    `static java.io.OutputStream` | `newFileOutputStream(java.lang.String path)` Returns an output stream for the file with the given path, aborting in case of failure.
    `static java.lang.String` | `uriString(java.io.File file)` Returns a URI string for the given `File`, aborting in the (unexpected) case of failure.
    `static java.lang.String` | `uriString(java.lang.String path)` Returns a URI string for the file with the given path, aborting in the (unexpected) case of failure.
    `static java.lang.String` | `urlStringForFile(java.io.File file)` Returns a URL string for the given `File`, aborting in case of failure.
    `static java.lang.String` | `urlStringForFile(java.lang.String path)` Returns a URL string for the file with the given path, aborting in case of failure.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUtils

          public FileUtils()

  - ### Method Detail

    - #### newFileInputStream

          public static final java.io.InputStream newFileInputStream(java.lang.String path)

      Returns an input stream for the file with the given path, aborting in case of failure.

    - #### newFileInputStream

          public static final java.io.InputStream newFileInputStream(java.io.File f)

      Returns an input stream for the given `File`, aborting in case of failure.

    - #### newFileOutputStream

          public static final java.io.OutputStream newFileOutputStream(java.lang.String path)

      Returns an output stream for the file with the given path, aborting in case of failure.

    - #### newFileOutputStream

          public static final java.io.OutputStream newFileOutputStream(java.io.File f)

      Returns an output stream for the given `File`, aborting in case of failure.

    - #### fileInputSource

          public static org.xml.sax.InputSource fileInputSource(java.lang.String path)

      Returns a SAX input source for the file with the given path, aborting in case of failure.

    - #### fileInputSource

          public static org.xml.sax.InputSource fileInputSource(java.io.File file)

      Returns a SAX input source for the given `File`, aborting in case of failure.

    - #### urlStringForFile

          public static java.lang.String urlStringForFile(java.lang.String path)

      Returns a URL string for the file with the given path, aborting in case of failure.

    - #### urlStringForFile

          public static java.lang.String urlStringForFile(java.io.File file)

      Returns a URL string for the given `File`, aborting in case of failure.

    - #### uriString

          public static java.lang.String uriString(java.lang.String path)

      Returns a URI string for the file with the given path, aborting in the (unexpected) case of failure.

    - #### uriString

          public static java.lang.String uriString(java.io.File file)

      Returns a URI string for the given `File`, aborting in the (unexpected) case of failure.

    - #### canonical

          public static java.io.File canonical(java.io.File f)

      Returns the canonical form of the given `File`, aborting in the (unexpected) case of failure.

    - #### abort

          public static final void abort(java.lang.Exception x)

      Lists the stack trace for the given exception and aborts this JVM.